%define version 1.9.13

Summary:	Translation (.po) file editor with many features
Name:		gtranslator
Version:	%{version}
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://projects.gnome.org/gtranslator
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtranslator/%{name}-%{version}.tar.bz2
BuildRequires:  imagemagick
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	libgnomeui2-devel
BuildRequires:	scrollkeeper
BuildRequires:	gtkspell-devel
BuildRequires:	unique-devel
BuildRequires:	libgtksourceview-2.0-devel
BuildRequires:	libgdl-devel >= 2.27.2-2mdv
BuildRequires:	subversion-devel
BuildRequires:	libsoup-2.4-devel
BuildRequires:	libgdict1.0-devel
BuildRequires:	gucharmap-devel
BuildRequires:	gda4.0-devel
BuildRequires:	glib2-devel >= 2.26
BuildRequires:	gsettings-desktop-schemas-devel
#gw TODO: is this needed?
Requires:	gsettings-desktop-schemas
Requires:	gettext

Requires(post): desktop-file-utils scrollkeeper
Requires(postun): desktop-file-utils scrollkeeper

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immenantly.

%package	devel
Group:		Development/GNOME and GTK+
Requires:	%name = %version
Summary:	Development files for %name

%description	devel
This package contains development files needed to build %name plugins.

%prep
%setup -q

%build
%configure2_5x \
	--disable-scrollkeeper \
	--enable-compile-warnings=maximum \
	--enable-debug=no --disable-static

%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std UPDATE_DESKTOP=true


rm -f %buildroot%_libdir/gtranslator/*.la

%find_lang %name --with-gnome

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/gtranslator
%{_datadir}/gtranslator
%{_libdir}/gtranslator
%{_datadir}/omf/%name
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*/apps/gtranslator.*
%{_datadir}/pixmaps/*
%{_datadir}/gtk-doc/html/gtranslator
%_datadir/glib-2.0/schemas/org.gnome.gtranslator*.gschema.xml

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gtranslator-2.0


%changelog
* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1.9.13-1mdv2011.0
+ Revision: 591703
- update to new version 1.9.13

* Fri Oct 08 2010 Götz Waschk <waschk@mandriva.org> 1.9.12-1mdv2011.0
+ Revision: 584156
- new version
- replace gconf by gschemas
- bump glib2 dep

* Sun Aug 22 2010 Jani Välimaa <wally@mandriva.org> 1.9.11-2mdv2011.0
+ Revision: 571975
- fix url
- add missing BR
- update to new version 1.9.11

* Mon Apr 19 2010 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdv2010.1
+ Revision: 536731
- new version
- update file list

* Sun Feb 21 2010 Götz Waschk <waschk@mandriva.org> 1.9.9-1mdv2010.1
+ Revision: 509245
- update build deps
- update to new version 1.9.9

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 1.9.8-1mdv2010.1
+ Revision: 504136
- new version
- update file list

* Sun Jan 31 2010 Götz Waschk <waschk@mandriva.org> 1.9.7-1mdv2010.1
+ Revision: 498842
- update to new version 1.9.7

* Fri Jan 01 2010 Funda Wang <fwang@mandriva.org> 1.9.6-3mdv2010.1
+ Revision: 484837
- rebuild for db 4.8

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.9.6-2mdv2010.0
+ Revision: 447010
- rebuild for new libgdl

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdv2010.0
+ Revision: 420430
- new version
- drop all patches

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 1.9.5-2mdv2010.0
+ Revision: 380146
- fix build with new gdl

* Fri May 22 2009 Funda Wang <fwang@mandriva.org> 1.9.5-1mdv2010.0
+ Revision: 378622
- New version 1.9.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.1.7-4mdv2009.0
+ Revision: 246719
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 15 2007 Funda Wang <fwang@mandriva.org> 1.1.7-2mdv2008.1
+ Revision: 120325
- Add patch from fedora to have it build against rarian
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'
    - convert prereq


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.1.7-1mdv2007.0
+ Revision: 122505
- New release 1.1.7

* Sat Dec 02 2006 Emmanuel Andry <eandry@mandriva.org> 1.1.6-3mdv2007.1
+ Revision: 90116
- buildrequires gtkspell-devel
- use scrollkeeper macro
  rebuild
- Import gtranslator

* Mon Aug 07 2006 Jerome Soyer <saispo@mandriva.org> 1.1.6-2mdv2007.0
- XDG menu

* Sun Feb 06 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- fix warning about the menu entry
- new source URL
- New release 1.1.6

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 1.1.5-2mdk
- Fix BuildRequires

* Fri Oct 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

